Sample episodes
curl --request POST \
--url https://{space}.{region}.api.niadra.com/v1/insights/episodes/sample \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"since": "2026-09-01T00:00:00Z",
"until": "2026-09-22T23:59:59Z",
"filters": {
"normalized_category": [
"invoice"
],
"outcome": [
"resolved"
]
},
"limit": 5
}
'import requests
url = "https://{space}.{region}.api.niadra.com/v1/insights/episodes/sample"
payload = {
"since": "2026-09-01T00:00:00Z",
"until": "2026-09-22T23:59:59Z",
"filters": {
"normalized_category": ["invoice"],
"outcome": ["resolved"]
},
"limit": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
since: '2026-09-01T00:00:00Z',
until: '2026-09-22T23:59:59Z',
filters: {normalized_category: ['invoice'], outcome: ['resolved']},
limit: 5
})
};
fetch('https://{space}.{region}.api.niadra.com/v1/insights/episodes/sample', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"pseudonym": "psn_7f3a",
"episode_id": "0192f7a3-7c32-7b0c-9e16-5b8a0f1c2e10",
"channel": "app",
"intent": "dispute",
"category": "invoice",
"outcome": "resolved",
"sentiment": -0.4,
"ended_at": "2026-09-22T17:35:00Z",
"summary": "Disputed the August bill after a missed visit; a credit was applied by the billing agent."
}
],
"notice": "Redacted sample. Handles and free text with personal data are removed."
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Base-wide analysis
Sample episodes
A redacted sample of episodes that match a filter.
POST
/
v1
/
insights
/
episodes
/
sample
Sample episodes
Authorizations
nia_sk_...
Body
application/json

